#
# spec file for package libvorbis (Version 1.1.2)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           libvorbis
BuildRequires:  libogg-devel pkgconfig
Summary:        The Vorbis General Audio Compression Codec
Version:        1.1.2
Release:        13.17.1
Group:          System/Libraries
License:        BSD 3-Clause
Url:            http://www.vorbis.com/
Source:         %{name}-%{version}.tar.bz2
Patch1:         libvorbis-lib64.dif
Patch2:         libvorbis-m4.dif
# Patch5:       libvorbis-%{version}-aotuv-b4.diff
Patch6:         libvorbis-%{version}-warning-fixes.diff
Patch7:         libvorbis-cflags.diff
Patch8:         libvorbis-maptype-check.diff
Patch9:         libvorbis-1.1.2-CVE-2007-4029.diff
Patch10:        libvorbis-1.1.2-CVE-2007-4065.diff
Patch11:        libvorbis-1.1.2-CVE-2007-4066.diff
Patch12:        libvorbis-r14598-r14600-CVE-2008-1420.diff
Patch13:        libvorbis-r14602-CVE-2008-1419.diff
Patch14:        libvorbis-r14604-CVE-2008-1423.diff
# bnc608192
Patch15:        libvorbis-r16217-CVE-2009-2663.diff
Patch16:        libvorbis-r16218-CVE-2009-2663.diff
Patch17:        libvorbis-r16222-CVE-2009-2663.diff
Patch18:        libvorbis-r16326-CVE-2009-3379.diff
Patch19:        libvorbis-r16597-CVE-2009-3379.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Ogg Vorbis is a fully open, nonproprietary, patent-and-royalty-free,
and general-purpose compressed audio format for audio and music at
fixed and variable bit rates from 16 to 128 kbps/channel.



Authors:
--------
    Monty <monty@xiph.org>
    Xiphophorus Company <team@xiph.org>

%package devel
License:        BSD 3-Clause
Summary:        Include Files and Libraries mandatory for Development.
Group:          Development/Libraries/C and C++
Requires:       glibc-devel, libogg-devel
Requires:       %{name} = %{version}

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



Authors:
--------
    Monty <monty@xiph.org>
    Xiphophorus Company <team@xiph.org>

%prep
%setup
%patch2
# %patch5 -p1
%patch6
%patch7
%patch8
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p3
%patch13 -p3
%patch14 -p3
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
if [ "%_lib" == "lib64" ]; then
%patch1
fi

%build
%{?suse_update_config:%{suse_update_config -f}}
autoreconf --force --install
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing -fstack-protector" \
./configure --prefix=%{_prefix} --libdir=%{_libdir} --with-ogg-libraries=%{_libdir}
make

%install
make DESTDIR=$RPM_BUILD_ROOT docdir=%{_docdir}/%{name}-devel install
# create an old compatible m4 file
sed -e s/XIPH_PATH_VORBIS/AM_PATH_VORBIS/g < $RPM_BUILD_ROOT%{_datadir}/aclocal/vorbis.m4 > $RPM_BUILD_ROOT%{_datadir}/aclocal/vorbis-old.m4

%post
%run_ldconfig

%postun
%run_ldconfig

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING AUTHORS README
# %doc aoTuV*
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%doc %{_docdir}/%{name}-devel
%{_datadir}/aclocal/*.m4
%{_includedir}/vorbis
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_libdir}/pkgconfig/*.pc

%changelog
* Wed May 26 2010 tiwai@suse.de
- VUL-0: ibvorbis: memory corruption while parsing ogg files
  (bnc#608192, CVE-2009-2663, CVE-2009-3379)
* Wed May 14 2008 tiwai@suse.de
- VUL-0: Multiple vulnerabilities in libogg and libvorbis
  (bnc#372246)
  * CVE-2008-1419 vorbis: zero-dim codebooks can cause crash,
    infinite loop or heap overflow
  * CVE-2008-1420 vorbis: integer overflow in partvals computation
  * CVE-2008-1423 vorbis: integer oveflow caused by huge codebooks
* Fri Oct 19 2007 tiwai@suse.de
- VUL-0: libvorbis security issues (#331739, CVE-2007-4029,
  CVE-2007-4065, CVE-2007-4066)
* Wed Jul  4 2007 tiwai@suse.de
- fix array boundary conditional flaw in mapping (#281724,
  CVE-2007-3106)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 11 2006 tiwai@suse.de
- compile with -fstack-protector.
* Fri Dec  2 2005 tiwai@suse.de
- updated to version 1.1.2.
* Tue Oct 18 2005 tiwai@suse.de
- updated to version 1.1.1.
* Sun Sep  4 2005 aj@suse.de
- Build with -fno-strict-aliasing (#115135).
* Thu Jul  7 2005 tiwai@suse.de
- remove -fsigned-char (#93878).
- fixed Requires of devel subpackage.
* Mon Jun 20 2005 tiwai@suse.de
- updated to aoTuV beta4.
* Wed Jan 19 2005 tiwai@suse.de
- fixed compile warnings with gcc-4.0.
* Wed Nov 24 2004 tiwai@suse.de
- updated to libvorbis version 1.1.0.
- updated to aoTuV beta3.
* Thu Aug  5 2004 tiwai@suse.de
- applied aoTuV patch to improve the encoding quality.
* Fri Apr 16 2004 tiwai@suse.de
- fixed the type-punning.
- disabled the removal of $RPM_BUILD_ROOT in %%install.
* Wed Jan 21 2004 tiwai@suse.de
- fixed quoting in m4 files.
* Fri Jan  9 2004 adrian@suse.de
- add %%run_ldconfig to %%postun
* Fri Jan  9 2004 tiwai@suse.de
- updated to version 1.0.1.
  removed obsolete patches.
- added pkgconfig to neededforbuild.
* Sat Mar  1 2003 adrian@suse.de
- let libvorbis-devel require libogg-devel
* Fri Jan 17 2003 tiwai@suse.de
- fixed m4 macro (bug #21267).
* Thu Jan  9 2003 kukuk@suse.de
- Add *.la files to -devel filelist
* Wed Dec  4 2002 tiwai@suse.de
- fixed the undefined weak links.
- renamed m4.dif and lib64.dif with libvorbis- prefix to avoid
  filename conflictions.
* Thu Sep 19 2002 tiwai@suse.de
- don't add -I/usr/include to VORBIS_VFLAGS.
- fix test for prefix.
- move devel documents under %%{_docdir}/libvorbis-devel.
* Mon Aug 12 2002 tiwai@suse.de
- added Requires %%{name} = %%{version} to devel package.
* Tue Jul 23 2002 tiwai@suse.de
- fixed m4 file for lib64.
- provides the backward compatible m4 file.
* Mon Jul 22 2002 tiwai@suse.de
- updated to version 1.0.
- clean up the spec file.
- added %%run_ldconfig.
* Wed Jun 12 2002 meissner@suse.de
- rm acinclude.m4 so we don't have the problematic ogg.m4 (which contains
  /lib hardcoded).
* Thu Apr 18 2002 kukuk@suse.de
- Remove additional optimization, default is better
- Add --libdir to configure to build on x86_64
* Thu Feb  7 2002 tiwai@suse.de
- fixed build on s390x.
* Fri Jan  4 2002 tiwai@suse.de
- updated to RC3.
  sync with cvs 2002.01.04.
* Tue Dec  4 2001 tiwai@suse.de
- sync with cvs 2001.12.04.
* Wed Oct 24 2001 tiwai@suse.de
- sync with cvs 20011024.
  + fixed/updated documents
  + tuned up parameters
  + bugfixes on 64bit arch.
- removed Requires to libogg.
* Sat Oct 20 2001 schwab@suse.de
- Fix use of qsort.
* Mon Aug 13 2001 tiwai@suse.de
- updated to 1.0rc2 from cvs 20010813.
* Thu Jun  7 2001 tiwai@suse.de
- fixed build with the recent libtool.
* Tue Apr  3 2001 bk@suse.de
- make use of RPM_OPT_FLAGS
- include the include/vorbis dir into the file list(+rpm-macroized)
* Mon Mar 12 2001 tiwai@suse.de
- corrected copyright in spec file.
* Mon Feb 26 2001 tiwai@suse.de
- Updated to 1.0beta4.
* Wed Jan 31 2001 tiwai@suse.de
- Initial version: 1.0beta3.
